Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Compute Cloud
  • Yandex Container Solution
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
          • Overview
          • Get
          • List
          • Create
          • CreateFromYaml
          • Update
          • UpdateFromYaml
          • Delete
          • Start
          • Stop
          • RollingRestart
          • RollingRecreate
          • ListInstances
          • DeleteInstances
          • StopInstances
          • ResumeProcesses
          • PauseProcesses
          • DisableZones
          • EnableZones
          • ListOperations
          • ListLogRecords
          • ListAccessBindings
          • SetAccessBindings
          • UpdateAccessBindings
  • Metrics Monitoring
  • Audit Trails events
  • Release notes

In this article:

  • gRPC request
  • ListInstanceGroupLogRecordsRequest
  • ListInstanceGroupLogRecordsResponse
  • LogRecord
  1. API reference
  2. gRPC
  3. Compute Cloud Instance Groups API
  4. InstanceGroup
  5. ListLogRecords

Compute Cloud Instance Groups API, gRPC: InstanceGroupService.ListLogRecords

Written by
Yandex Cloud
Updated at June 1, 2026
View in Markdown
  • gRPC request
  • ListInstanceGroupLogRecordsRequest
  • ListInstanceGroupLogRecordsResponse
  • LogRecord

Lists logs for the specified instance group.

gRPC requestgRPC request

rpc ListLogRecords (ListInstanceGroupLogRecordsRequest) returns (ListInstanceGroupLogRecordsResponse)

ListInstanceGroupLogRecordsRequestListInstanceGroupLogRecordsRequest

{
  "instance_group_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

instance_group_id

string

Required field. ID of the InstanceGroup resource to list logs for.
To get the instance group ID, use a InstanceGroupService.List request.
This field is required.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListInstanceGroupLogRecordsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
The value must be between 0 and 1000.

page_token

string

Page token. To get the next page of results,
set page_token to the ListInstanceGroupLogRecordsResponse.next_page_token
returned by a previous list request.
The length must be less than or equal to 1000.

filter

string

A filter expression that filters resources listed in the response.
Currently you can use filtering only on the InstanceGroup.name field.
The length must be less than or equal to 1000.

ListInstanceGroupLogRecordsResponseListInstanceGroupLogRecordsResponse

{
  "log_records": [
    {
      "timestamp": "google.protobuf.Timestamp",
      "message": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

log_records[]

LogRecord

Lists logs for the specified instance group.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListInstanceGroupLogRecordsRequest.page_size, use
next_page_token as the value
for the ListInstanceGroupLogRecordsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

LogRecordLogRecord

Field

Description

timestamp

google.protobuf.Timestamp

Log timestamp in RFC3339 text format.

message

string

The log message.

Was the article helpful?

Previous
ListOperations
Next
ListAccessBindings
© 2026 Direct Cursus Technology L.L.C.